crash in gtk3widgets.py: AttributeError: 'NoneType' object has no attribute 'append'

Bug #1266844 reported by Brian Murray on 2014-01-07
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Aptdaemon
Undecided
Unassigned
aptdaemon (Ubuntu)
High
Brian Murray

Bug Description

The Ubuntu tracker contains some crash reports with the following traceback:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/aptdaemon/gtk3widgets.py", line 522, in _on_download_changed
    iter = self._download_map[uri]
KeyError: 'http://pl.archive.ubuntu.com/ubuntu/pool/universe/w/wxwidgets2.8/wx2.8-i18n_2.8.12.1-14ubuntu1.1_all.deb'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/aptdaemon/gtk3widgets.py", line 525, in _on_download_changed
    iter = model.append((text, progress, uri))
AttributeError: 'NoneType' object has no attribute 'append'

These are unfortunately consolidated with the error report for bug 1024590, because the initial portion of the Traceback is the same. Regardless, it appears that model can be None in some cases.

Here is an example of the new crash:

https://errors.ubuntu.com/oops/380e4bce-7793-11e3-932c-e4115b0f8a4a

This is occurring with aptdaemon version 1.1.1-0ubuntu4 from saucy-updates and presumably with aptdaemon version 1.1.1-1ubuntu1 from trusty.

Changed in aptdaemon (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in aptdaemon (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
Changed in aptdaemon:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aptdaemon - 1.1.1-1ubuntu4

---------------
aptdaemon (1.1.1-1ubuntu4) trusty; urgency=low

  * debian/patches/dbus_timeout.patch
    - increase dbus timeouts to avoid a dbus timeout error if a
      policykit authentication dialog is not answered for a while
  * debian/patches/lp1266844.patch:
    - workaround for LP: #1266844, thanks to Brian Murray
 -- Michael Vogt <email address hidden> Thu, 10 Apr 2014 16:28:03 +0200

Changed in aptdaemon (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers